import React from 'react'
import { useSelector } from 'react-redux'
import { Navigate } from 'react-router-dom'
import { web3Selector } from '../store/selector/web3Selector'

interface Props {
    // eslint-disable-next-line react/require-default-props
    children?: React.ReactElement
}

function ProtectedRoute({ children }: Props) {
    const isSignup = useSelector(web3Selector.isSignup)

    if (!isSignup) {
        return <Navigate to="/signup" replace />
    }

    return children ?? null
}

export default ProtectedRoute
