import _ from 'lodash'
import { useCallback, useEffect } from 'react'
import { useSelector } from 'react-redux'
import { useAppDispatch } from '../../store'
import { auctionActions } from '../../store/reducer/aunctionReducer'
import { auctionSelector } from '../../store/selector/auctionSelector'
import { web3Selector } from '../../store/selector/web3Selector'
import { AuctionBaseView } from './AuctionBaseView'

export function AuctionView() {
    const dispatch = useAppDispatch()
    const userId = useSelector(web3Selector.userId)

    const completedAuctions = useSelector(auctionSelector.completedAuctions)
    const processingAuctions = useSelector(auctionSelector.processingAuctions)
    const auction = useSelector(auctionSelector.selectedAuction)

    useEffect(() => {
        userId !== undefined && dispatch(auctionActions.getAuctions())
    }, [])

    useEffect(() => {
        if (processingAuctions !== undefined && processingAuctions.length > 0)
            dispatch(
                auctionActions.selectAuction(
                    _.get(processingAuctions, 0).auctionId,
                ),
            )
    }, [processingAuctions])

    const onClickTab = useCallback((auctionId: number) => {
        dispatch(auctionActions.selectAuction(auctionId))
    }, [])

    return (
        <AuctionBaseView
            auction={auction}
            completedAuctions={completedAuctions}
            processingAuctions={processingAuctions}
            onClickTab={onClickTab}
        />
    )
}
