import styled from '@emotion/styled'
import { Auction } from '../../../store/model/Auction'
import { BidListView } from '../../bid/BidListView'
import AuctionDetailView from './AuctionDetailView'
import { AuctionList } from './AuctionList'

interface Props {
    auctions: Array<Auction>
    auction?: Auction
}

export function AuctionListContainer({ auctions, auction }: Props) {
    return (
        <Container>
            <AuctionList auctionId={auction?.auctionId} auctions={auctions} />
            {auction && <AuctionDetailView auction={auction} />}
            {auction && <BidListView bids={auction?.bids} />}
        </Container>
    )
}

const Container = styled.div({
    display: 'flex',
    flexDirection: 'row',
    height: '100%',
    overflow: 'scroll',
})
