import { LeftOutlined } from '@ant-design/icons'
import styled from '@emotion/styled'
import { Typography } from 'antd'
import { useNavigate } from 'react-router-dom'
import { CreateAuctionView } from './CreateAuctionView'

export function CreateAuctionContainer() {
    const navigate = useNavigate()
    return (
        <div
            style={{
                padding: 12,
                height: '100%',
                display: 'flex',
                flexDirection: 'column',
                overflow: 'hidden',
            }}
        >
            <Header>
                <div
                    onClick={() => navigate(-1)}
                    style={{
                        position: 'absolute',
                        left: 20,
                        cursor: 'pointer',
                    }}
                >
                    <LeftOutlined style={{ fontSize: 40 }} />
                </div>
                <Typography.Title style={{ marginBottom: 0 }}>
                    경매 생성하기
                </Typography.Title>
            </Header>
            <CreateAuctionView />
        </div>
    )
}

const Header = styled.div({
    padding: 12,
    marginBottom: 50,
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
})
