import { List, Comment, Divider } from 'antd'
import moment from 'moment'
import { Bid } from '../../store/model/Bid'

interface Props {
    bids: Array<Bid>
}

export function BidListView({ bids }: Props) {
    return (
        <List
            className="comment-list"
            style={{ padding: 12 }}
            header={`${bids.length}건의 입찰내역`}
            itemLayout="horizontal"
            dataSource={bids}
            renderItem={(bid) => (
                <li>
                    <Comment
                        author={bid.user.nickname}
                        content={`입찰가: ${bid.price} ETF`}
                        datetime={moment(bid.createdAt).format(
                            'YYYY-MM-DD hh:mm:ss',
                        )}
                    />
                    <Divider style={{ margin: '4px 0' }} />
                </li>
            )}
        />
    )
}
