import styled from '@emotion/styled'
import _ from 'lodash'
import { useEffect } from 'react'
import { useSelector } from 'react-redux'
import { useAppDispatch } from '../../store'
import { productActions } from '../../store/reducer/productReducer'
import { productSelector } from '../../store/selector/productSelector'
import { web3Selector } from '../../store/selector/web3Selector'

export function AuctionScreen() {
    const dispatch = useAppDispatch()
    const userId = useSelector(web3Selector.userId)

    useEffect(() => {
        userId !== undefined &&
            dispatch(productActions.getProducts({ userId })).then(
                ({ payload }) => {
                    dispatch(
                        productActions.selectProduct(
                            _.get(_.get(payload, 0), 'productId'),
                        ),
                    )
                },
            )
    }, [])

    return (
        <AuctionScreenContainer>
            {/* <
            <ProductListView
                selectedProductId={product?.productId}
                products={products}
            />
            {product && <ProductDetailView product={product} />} */}
        </AuctionScreenContainer>
    )
}

const AuctionScreenContainer = styled.div({
    display: 'flex',
    flexDirection: 'row',
    height: '100%',
})
