import { Descriptions } from 'antd'
import { Product } from '../../store/model/Product'

interface Props {
    product: Product
}

export function ProductDescriptionView({ product }: Props) {
    const {
        address,
        detailAddress,
        description,
        buildingFormat,
        roomArchitecture,
        area,
    } = product

    return (
        <Descriptions title="매물정보" bordered style={{ padding: 16 }}>
            <Descriptions.Item label="매물 소개">
                {description}
            </Descriptions.Item>

            <Descriptions.Item label="주소">
                {address} {detailAddress}
            </Descriptions.Item>

            <Descriptions.Item label="건물구조">
                {buildingFormat}
            </Descriptions.Item>

            <Descriptions.Item label="방구조">
                {roomArchitecture}
            </Descriptions.Item>

            <Descriptions.Item label="면적">
                {area}{' '}
                <span>
                    m<sup>2</sup>
                </span>
            </Descriptions.Item>
        </Descriptions>
    )
}
