/* global kakao */
const { kakao } = window

export default function KakaoMapScript(address: string) {
    const container = document.getElementById('myMap')
    const geocoder = new kakao.maps.services.Geocoder()

    // 주소로 좌표를 검색합니다
    geocoder.addressSearch(address, (result: any, status: any) => {
        // 정상적으로 검색이 완료됐으면
        if (status === kakao.maps.services.Status.OK) {
            const coords = new kakao.maps.LatLng(result[0].y, result[0].x)
            let message = `latlng: new kakao.maps.LatLng(${result[0].y}, `
            message += `${result[0].x})`

            const resultDiv = document.getElementById('clickLatlng')
            if (resultDiv) {
                resultDiv.innerHTML = message
            }

            // 결과값으로 받은 위치를 마커로 표시합니다
            const marker = new kakao.maps.Marker({
                map,
                position: coords,
            })

            // 인포윈도우로 장소에 대한 설명을 표시합니다
            const infowindow = new kakao.maps.InfoWindow({
                content:
                    '<div style="width:150px;text-align:center;padding:6px 0;">내건물</div>',
            })
            infowindow.open(map, marker)

            // 지도의 중심을 결과값으로 받은 위치로 이동시킵니다
            map.setCenter(coords)
        }
    })

    const options = {
        center: new kakao.maps.LatLng(33.450701, 126.570667),
        level: 4,
    }
    const map = new kakao.maps.Map(container, options)
}
