import _ from 'lodash'
import { User } from '../store/model/User'

const USERS_KEY = 'anjun_users'

const getUser = (email: string): User | undefined => {
    const usersStr = localStorage.getItem(USERS_KEY)
    let users: { [user: string]: User } = {}
    if (usersStr == null) {
        users = {}
    } else {
        // myArr에서 자료를 꺼내 따옴표를 제거하고 다시 myArr에 저장한다.
        users = JSON.parse(usersStr)
    }

    return _.find(users, (user) => user.email === email)
}

const signup = (user: User): User => {
    const usersStr = localStorage.getItem(USERS_KEY)
    let users: { [user: string]: User } = {}
    if (usersStr == null) {
        users = {}
    } else {
        // myArr에서 자료를 꺼내 따옴표를 제거하고 다시 myArr에 저장한다.
        users = JSON.parse(usersStr)
    }

    users[user.email] = user
    localStorage.setItem(
        USERS_KEY,
        JSON.stringify({
            ...users,
        }),
    )

    return users[user.email]
}

const localStorageAPI = {
    getUser,
    signup,
}

export default localStorageAPI
