import client from '../../service/client'
import { auction } from '../../service/web3'
import { Bid } from '../model/Bid'

interface BidAPI {
    createBid: (data: {
        userId: number
        auctionId: number
        price: number
        account: string
    }) => Promise<Bid>
}

export const BidAPI = (() => {
    const createBid: BidAPI['createBid'] = async ({
        account,
        auctionId,
        ...data
    }) =>
        client
            .post('api/v1/bids/create', { auctionId, ...data })
            .then(async (res) => {
                await auction.methods.bid(auctionId).send({
                    from: account,
                    gas: 1,
                    gasPrice: '1',
                    value: 1,
                })
                return res.data
            })

    return Object.freeze({
        createBid,
    })
})()
