import axios from 'axios'
import client from '../../service/client'
import { User } from '../model/User'

interface SignupAPI {
    singup: (data: {
        email: string
        password: string
        nickname: string
    }) => Promise<User>

    signin: (data: { email: string; password: string }) => Promise<User>
}

export const SignupAPI = (() => {
    const signup: SignupAPI['singup'] = (data) =>
        client.post('api/v1/users/signup', data).then((res) => res.data)

    const signin: SignupAPI['signin'] = (data) =>
        client.post('api/v1/users/signin', data).then((res) => res.data)

    return Object.freeze({
        signup,
        signin,
    })
})()
