import { configureStore } from '@reduxjs/toolkit'
import { useDispatch } from 'react-redux'
import auctionSlice from './reducer/aunctionReducer'
import bidSlice from './reducer/bidReducer'
import productSlice from './reducer/productReducer'

import web3Slice from './reducer/web3Reducer'

const store = configureStore({
    reducer: {
        web3: web3Slice.reducer,
        product: productSlice.reducer,
        auction: auctionSlice.reducer,
        bid: bidSlice.reducer,
    },
})

export type RootState = ReturnType<typeof store.getState>

export type AppDispatch = typeof store.dispatch
export const useAppDispatch = () => useDispatch<AppDispatch>() // Export a hook that can be reused to resolve types

export default store
