import { Bid } from './Bid'
import { Product } from './Product'
import { User } from './User'

export enum AuctionState {
    PROCESSING = 'PROCESSING',
    COMPLETED = 'COMPLETED',
}

export interface Auction {
    auctionId: number
    user: User
    product: Product
    title: string
    description: string
    auctionState: AuctionState
    bids: Array<Bid>
    startAt: string
    endAt: string
}

export interface CreateAuction {
    account: string
    userId: number
    productId: number
    endAt: string
    startAt: string
    title: string
    description: string
}
