import { createSelector } from '@reduxjs/toolkit'
import { RootState } from '..'

const web3State = (state: RootState) => state.web3

const user = createSelector(web3State, (state) => state.user)

const userId = createSelector(user, (user) => user?.userId)

const isSignup = createSelector(web3State, (state) => state.isSignup)

const email = createSelector(web3State, (state) => state.email)

const isEmailLoading = createSelector(
    web3State,
    (state) => state.isEmailLoading,
)

export const web3Selector = {
    user,
    userId,
    isSignup,
    email,
    isEmailLoading,
}
